System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.ConnectionOrientedTransportBindingElement

This transport uses URIs of the form "net.tcp://hostname:port/path". Other URI components are optional.

The class is the starting point for creating a custom binding that implements the TCP transport protocol. This transport is optimized for indigo2-to-indigo2 communication.

The indigo2 service model uses this class to create factory objects that implement the and interfaces. These factory objects, in turn, create and accept the channels that transmit SOAP messages using the TCP protocol.

You configure the factories that this class creates by setting its properties, such as and .

You can also set properties on the base class , such as , , and . For a complete list of properties, see .

Finally, you can set properties on the base class , such as and . For a complete list of properties, see .

Represents the binding element for the TCP transport.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  This method is a copy constructor used to clone the binding element, and is exposed so that derived classes can implement .

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelFactory<TChannel> ``

  This method can be used to create a channel factory for sending messages based on the configuration of the TCP binding element.

  Creates a channel factory that can be used to create a channel.

  Returns a channel factory of the specified type.

  members that describe bindings, behaviors, contracts, and other information required to create the channel factory. Type of channel factory.
- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener<TChannel> ReferenceTypeConstraint System.ServiceModel.Channels.IChannel ``

  This method can be used to create a channel listener for receiving messages based on the configuration of the TCP binding element.

  Creates a channel listener of the specified type.

  Returns a channel listener of the specified type.

  members that describe bindings, behaviors, contracts, and other information required to create the channel factory. Type of channel listener.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElement To be added.

  Creates a copy of the current binding element.

  Returns a copy of the current binding element.

- Property
  4.0.0.0
  System.ServiceModel.Channels.TcpConnectionPoolSettings To be added. To be added.

  Gets a collection of connection pool settings.

- Method
  4.0.0.0
  T ReferenceTypeConstraint ``

  This method gets the specified object from the base class, or from one of that class's ancestors. The object returned is usually a collection of properties, for example, an object that implements .

  Gets a specified object from the .

  The specified object from the , or null if the object is not found.

  A . The object to get.
- Property
  4.0.0.0
  System.Int32 To be added.

  is a socket-level property that describes the number of "pending accept" requests to be queued. Ensure that the underlying socket queue is not exceeded by the maximum number of concurrent connections.

  Gets or sets the maximum number of queued connection requests that can be pending.

- Property
  4.0.0.0
  System.Boolean To be added.

  Using this setting requires enabling the indigo2 TCP Port Sharing Service by changing its Startup Type to Manual or Automatic.

  For information about the TCP Listener and how to start it, see Net.TCP Port Sharing.

  Gets or sets a value that indicates whether TCP port sharing is enabled for this connection.

- Property
  4.0.0.0
  System.String To be added.

  The property is provided for validating bindings against base addresses.

  Returns the URI scheme for the transport.

- Property
  4.0.0.0
  System.Boolean To be added.

  This property enables Teredo for the underlying TCP socket. For more information, see Teredo Overview.

  This property is applicable only on wxpsp2 and ws2003. wv has a machine-wide configuration option for Teredo, so when running wv, this property is ignored. Teredo requires that the client and service machines both have the Microsoft IPv6 stack installed and correctly configured for Teredo usage. For more information about configuring Teredo, see Teredo Overview. For more information about Microsoft IPv6 stack installation, see Windows Server 2003 Technology Centers.

  Gets or sets a Boolean that specifies whether Teredo (a technology for addressing clients that are behind firewalls) is enabled.